org.jboss.jca.codegenerator

## Class Utils

- java.lang.Object
- - org.jboss.jca.codegenerator.Utils

-     public class Utils
      extends java.lang.Object

  A Utils.
  Version:
    $Revision: $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Utils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `copyFolder(java.lang.String sourcePath, java.lang.String targetPath, java.lang.String filterName)` copy folders
    `static java.io.FileWriter` | `createFile(java.lang.String name, java.lang.String outDir)` Create file
    `static java.io.FileWriter` | `createSrcFile(java.lang.String name, java.lang.String packageName, java.lang.String outDir)` Create source file
    `static java.io.FileWriter` | `createTestFile(java.lang.String name, java.lang.String packageName, java.lang.String outDir)` Create test file
    `static java.lang.String` | `readFileIntoString(java.net.URL input)` Reads the contents of a file into a string variable.
    `static void` | `recursiveDelete(java.io.File f)` Recursive delete

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Utils

          public Utils()

  - ### Method Detail

    - #### readFileIntoString

          public static java.lang.String readFileIntoString(java.net.URL input)
                                                     throws java.io.IOException

      Reads the contents of a file into a string variable.
      Parameters:
        `input` - url
      Returns:
        string of return
      Throws:
        `java.io.IOException` - ioException

    - #### createSrcFile

          public static java.io.FileWriter createSrcFile(java.lang.String name,
                                                         java.lang.String packageName,
                                                         java.lang.String outDir)
                                                  throws java.io.IOException

      Create source file
      Parameters:
        `name` - The name of the class
        `packageName` - The package name
        `outDir` - output directory
      Returns:
        The file
      Throws:
        `java.io.IOException` - Thrown if an error occurs

    - #### createTestFile

          public static java.io.FileWriter createTestFile(java.lang.String name,
                                                          java.lang.String packageName,
                                                          java.lang.String outDir)
                                                   throws java.io.IOException

      Create test file
      Parameters:
        `name` - The name of the class
        `packageName` - The package name
        `outDir` - output directory
      Returns:
        The file
      Throws:
        `java.io.IOException` - Thrown if an error occurs

    - #### createFile

          public static java.io.FileWriter createFile(java.lang.String name,
                                                      java.lang.String outDir)
                                               throws java.io.IOException

      Create file
      Parameters:
        `name` - The name of the class
        `outDir` - output directory
      Returns:
        The file
      Throws:
        `java.io.IOException` - Thrown if an error occurs

    - #### recursiveDelete

          public static void recursiveDelete(java.io.File f)
                                      throws java.io.IOException

      Recursive delete
      Parameters:
        `f` - The file handler
      Throws:
        `java.io.IOException` - Thrown if a file could not be deleted

    - #### copyFolder

          public static void copyFolder(java.lang.String sourcePath,
                                        java.lang.String targetPath,
                                        java.lang.String filterName)
                                 throws java.io.IOException

      copy folders
      Parameters:
        `sourcePath` - source folder
        `targetPath` - target folder
        `filterName` - filter name
      Throws:
        `java.io.IOException` - Thrown if an error occurs

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)